/************************************************************
 *  Martin Toepfer     ***     PROJECT : Lingvisto          *
 *  Wissmannstr .5     ***                                  *
 *  D - 22041 Hamburg  ***     File    : error.h            *
 *  Germany            ***     Date    : 04.04.1997         *
 ************************************************************/ 
#ifndef ERROR
#define ERROR

/************************************************************
 *         DEFINES for error-message strings                *
 ************************************************************/
#define NO_MEMORY 0                /* Can't allocate Memory */
#define SAVE_EMPTY_LIST 1       /* List empty -> can't save */
#define CHANGE_EMPTY_LIST 2   /* List empty -> can't change */
#define SEARCH_EMPTY_LIST 3   /* List empty -> can't search */
#define DELETE_EMPTY_LIST 4   /* List empty -> can't delete */
#define NO_QUESTION 5        /* List empty -> can't do test */
#define NO_LVO_FILE 6      /* File not created by Lingvisto */
#define FILE_OPEN 7                  /* Unable to open file */
#define FILE_WRITE 8             /* Unable to write to file */
#define LONG_INPUT 9         /* Inserted string is too long */
#define SHORT_LIST 10    /* List too short -> can't do test */

/************************************************************
 *                function prototype                        *
 ************************************************************/
void lvo_error(unsigned short error);

#endif
